Package org.apache.tapestry5.internal.services

# Class PersistentLocaleImpl

java.lang.Object
org.apache.tapestry5.internal.services.PersistentLocaleImpl

All Implemented Interfaces:
  `PersistentLocale`

public class PersistentLocaleImpl extends Object implements PersistentLocale

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PersistentLocaleImpl(PerthreadManager perThreadManager, String supportedLocales)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Locale`
  `get()`
  Gets the locale obtained from the request, or null if the response did not indicate a specific locale (in which case the active locale may have been determined from request headers).
  `boolean`
  `isSet()`
  `void`
  `set(Locale locale)`
  Sets the locale value that will be encoded into the response.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PersistentLocaleImpl

    public PersistentLocaleImpl(PerthreadManager perThreadManager, @Symbol("tapestry.supported-locales") String supportedLocales)

- ## Method Details

  - ### set

    public void set(Locale locale)
    Description copied from interface: `PersistentLocale`
    Sets the locale value that will be encoded into the response. This must match a locale configured via `SymbolConstants.SUPPORTED_LOCALES`.
    Specified by:
      `set` in interface `PersistentLocale`

  - ### get

    public Locale get()
    Description copied from interface: `PersistentLocale`
    Gets the locale obtained from the request, or null if the response did not indicate a specific locale (in which case the active locale may have been determined from request headers).
    Specified by:
      `get` in interface `PersistentLocale`

  - ### isSet

    public boolean isSet()
    Specified by:
      `isSet` in interface `PersistentLocale`
    Returns:
      true if a locale was present in the request URL; false otherwise.